// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	ステージ名の更新・アニメーション表示
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

// ■■ ステージ名クラス
class YmsbStageCheck extends YmsbCheck {
	constructor(moveBox, moveTxt) {
		super();
		this.stage = new YmsbAnime(1.0, SbCSS.BOX_STAGE, SbCSS.TXT_STAGE,
						YMSB_VIRT, moveBox, YMSB_VIRT, moveTxt,
						ANI_DELY_ON_BOX_STAGE, ANI_DELY_ON_TXT_STAGE);
	}

	// 処理切り分け
	checkData() {
		const newData = jsonData[SbJSON.STAGE];

		if	(
			(("" == this.stage.currData && "" != newData)	&& (YMSB_OFF_ON == currScoreBoard || YMSB_ON == currScoreBoard))
		||	("" != newData && YMSB_OFF_ON == currScoreBoard)
		) {
			this.stage.animeOn(newData);
		}
		else if (
			("" != this.stage.currData && "" == newData && YMSB_ON == currScoreBoard)
		||	("" != newData && YMSB_ON_OFF == currScoreBoard)
		) {
			this.stage.animeOff();
		}
		else if	(
			(this.stage.currData != newData) && ("" != newData) && (YMSB_ON == currScoreBoard)
		) {
			this.stage.animeUpdate(newData);
		}
		else {
			// nop
		}
	}
}
